Package org.apache.sling.discovery.impl.standalone

## Class InstanceDescriptionImpl

- java.lang.Object
- - org.apache.sling.discovery.impl.standalone.InstanceDescriptionImpl

All Implemented Interfaces:
  `org.apache.sling.discovery.InstanceDescription`

    public class InstanceDescriptionImpl
    extends Object
    implements org.apache.sling.discovery.InstanceDescription

### Field Summary

### Fields inherited from interface org.apache.sling.discovery.InstanceDescription

`PROPERTY_DESCRIPTION, PROPERTY_ENDPOINTS, PROPERTY_NAME`

### Constructor Summary

Constructors
`InstanceDescriptionImpl​(String id, Map<String,​String> properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.discovery.ClusterView` `getClusterView()`
`Map<String,​String>` `getProperties()`
`String` `getProperty​(String name)`
`String` `getSlingId()`
`boolean` `isLeader()`
`boolean` `isLocal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InstanceDescriptionImpl

    public InstanceDescriptionImpl​(String id,
                                   Map<String,​String> properties)

### Method Detail

#### isLocal

    public boolean isLocal()

Specified by:
  `isLocal` in interface `org.apache.sling.discovery.InstanceDescription`

#### isLeader

    public boolean isLeader()

Specified by:
  `isLeader` in interface `org.apache.sling.discovery.InstanceDescription`

#### getSlingId

    public String getSlingId()

Specified by:
  `getSlingId` in interface `org.apache.sling.discovery.InstanceDescription`

#### getProperty

    public String getProperty​(String name)

Specified by:
  `getProperty` in interface `org.apache.sling.discovery.InstanceDescription`

#### getProperties

    public Map<String,​String> getProperties()

Specified by:
  `getProperties` in interface `org.apache.sling.discovery.InstanceDescription`

#### getClusterView

    public org.apache.sling.discovery.ClusterView getClusterView()

Specified by:
  `getClusterView` in interface `org.apache.sling.discovery.InstanceDescription`